<template>
  <button v-if="outline === 'outline'" class="f4 avenir fw4 tc br2 ph3 pv3 dib w4 ma1 ba bg-white primary-color b--primary hover-bg-light-gray">{{ text }} </button>
  <button v-else class="f4 avenir fw4 tc br2 ph3 pv3 dib w4 ma1 ba white bg-primary b--primary dim "> {{ text }}</button>
</template>

<script>
export default {
  props: {
    text: {
      type: String,
      required: true
    },
    outline: {
      type: String,
      required: false,
      default: ""
    }
  }
}
</script>


<style>
</style>
